[arch-commits] Commit in iwlwifi-4965-ucode/repos (testing-i686 testing-i686/PKGBUILD)

Thomas Baechler thomas at archlinux.org
Mon Jul 7 08:03:58 EDT 2008


    Date: Monday, July 7, 2008 @ 08:03:57
  Author: thomas
Revision: 4446

Merged revisions 4158-4445 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/iwlwifi-4965-ucode/trunk

........
  r4445 | thomas | 2008-07-07 14:03:31 +0200 (Mo, 07 Jul 2008) | 1 line
  
  upgpkg: iwlwifi-4965-ucode 228.57.2.21-1
........

Modified:
  iwlwifi-4965-ucode/repos/testing-i686/	(properties)
  iwlwifi-4965-ucode/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)


Property changes on: iwlwifi-4965-ucode/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /iwlwifi-4965-ucode/trunk:1-4157
   + /iwlwifi-4965-ucode/trunk:1-4445

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-07-07 12:03:31 UTC (rev 4445)
+++ testing-i686/PKGBUILD	2008-07-07 12:03:57 UTC (rev 4446)
@@ -2,20 +2,25 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 
 pkgname=iwlwifi-4965-ucode
-pkgver=228.57.1.21
+pkgver=228.57.2.21
 pkgrel=1
 pkgdesc="Intel wireless firmware for IPW4965 (iwlwifi driver)"
 arch=(i686 x86_64)
 url="http://intellinuxwireless.org/?p=iwlwifi"
 license=('custom')
 depends=()
-source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tgz)
-md5sums=('bce5a13d681100aeee2ddac3beaff437')
+source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tgz
+        http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-228.57.1.21.tgz)
+md5sums=('83804fb4bfa991ffd4849c19a74bf38d'
+         'bce5a13d681100aeee2ddac3beaff437')
 
 build() {
+  cd $startdir/src/$pkgname-228.57.1.21
+  # Install firmware (ABI version 1, for compatibility)
+  install -D -m 644 iwlwifi-4965-1.ucode $startdir/pkg/lib/firmware/iwlwifi-4965-1.ucode || return 1
   cd $startdir/src/$pkgname-$pkgver
-  # Install firmware
-  install -D -m 644 iwlwifi-4965-1.ucode $startdir/pkg/lib/firmware/iwlwifi-4965-1.ucode || return 1
+  # Install firmware (ABI version 2, for future versions of iwl4965)
+  install -D -m 644 iwlwifi-4965-2.ucode $startdir/pkg/lib/firmware/iwlwifi-4965-2.ucode || return 1
   # Install license
   install -D -m 644 LICENSE.iwlwifi-4965-ucode $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
 }





More information about the arch-commits mailing list